.spotlight {
  @extend .bg-white;
  @extend .text-bg-light;
  @extend .shadow-sm;
  @extend .rounded;
  position: relative;
  background-size: cover;
  background-position: center right;
  padding: map-get($spacers, 4);

  // We may not @extend selectors across media queries, so we unset border-radius manually.
  @include media-breakpoint-down(sm) {
    border-radius: 0;
  }
  @include media-breakpoint-up(sm) {
    padding: map-get($spacers, 5);
  }

  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    background: radial-gradient(circle at top left, rgba(255,255, 255, 1), transparent);
  }

  .content {
    position: relative;
    z-index: 1;
  }

  h2 {
    @extend .col-lg-9;
    @extend .display-6;
    margin: 0;
  }

  p {
    @extend .col-lg-7;
    @extend .lead;
    margin: $spacer 0 0 0;
  }

  .actions {
    margin: map-get($spacers, 4) 0 0 0;

    a {
      @extend .btn;
      @extend .btn-primary;
      @extend .btn-lg;

      @include media-breakpoint-down(sm) {
        width: 100%;
      }
    }
  }
}
